> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company information

> The endpoint returns detailed information for a specific company mapping, including basic company details, success rate, and bank account information.



## OpenAPI

````yaml GET /v1/companies/{company_mapping_id}/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/companies/{company_mapping_id}/:
    parameters:
      - name: company_mapping_id
        in: path
        description: Company to Payroll Provider mapping ID
        required: true
        schema:
          type: string
        example: c55a0d9f49554a60ad467d070b4e1ad0
    get:
      tags:
        - Companies and Data Providers
      summary: Get company information
      description: >-
        The endpoint returns detailed information for a specific company
        mapping, including basic company details, success rate, and bank account
        information.
      operationId: company_info
      parameters:
        - name: product_type
          in: query
          description: Product type for success rate calculation
          required: false
          schema:
            type: string
            example: income
            enum:
              - income
              - employment
              - deposit_switch
              - pll
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyMappingDetail'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '404':
          description: HTTP 404 Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error404'
components:
  schemas:
    CompanyMappingDetail:
      type: object
      properties:
        company_mapping_id:
          description: Company mapping ID
          type: string
          nullable: true
          example: 48427a36d43c4d5aa6324bc06c692456
        name:
          description: Company name
          type: string
          example: Facebook Demo
        domain:
          description: Company domain
          type: string
          example: facebook.com
        logo_url:
          description: URL to company logo
          type: string
          nullable: true
          example: https://cdn.truv.com/facebook.png
        success_rate:
          description: Success rate for the company
          type: string
          enum:
            - low
            - high
            - unsupported
            - null
          example: high
          nullable: true
        confidence_level:
          description: >-
            Confidence level for the company success rate. Range of possible
            values is from 0 to 1 with 0.5 and above being high success rate
          type: string
          example: '0.9'
        mapping_status:
          description: Mapping status of the company to the payroll system
          type: string
          enum:
            - verified
            - mapped
            - unmapped
          example: verified
        features:
          description: Company features information
          type: object
          properties:
            deposit_switch:
              description: Deposit switch features
              type: object
              properties:
                max_number:
                  description: Maximum number of bank accounts for this company
                  type: integer
                  nullable: true
                  example: 3
                deposit_types:
                  description: List of supported deposit types for bank accounts
                  type: array
                  items:
                    type: string
                    enum:
                      - entire
                      - percent
                      - amount
                  example:
                    - entire
                    - percent
                    - amount
                amount_precision:
                  description: Precision level for amount allocations
                  type: string
                  nullable: true
                  enum:
                    - '100'
                    - '10'
                    - '1'
                    - '0.10'
                    - '0.01'
                    - null
                  example: '0.01'
                percent_precision:
                  description: Precision level for percentage allocations
                  type: string
                  nullable: true
                  enum:
                    - '100'
                    - '10'
                    - '1'
                    - null
                  example: '0.01'
            fill_rates:
              description: Fill rates for various data points (values from 0 to 1)
              type: object
              properties:
                job_title:
                  description: Fill rate for job title data
                  type: number
                  format: float
                  minimum: 0
                  maximum: 1
                  example: 0.85
                job_type:
                  description: Fill rate for job type data
                  type: number
                  format: float
                  minimum: 0
                  maximum: 1
                  example: 0.92
                is_active:
                  description: Fill rate for active status
                  type: number
                  format: float
                  minimum: 0
                  maximum: 1
                  example: 0.8
                start_date:
                  description: Fill rate for start date data
                  type: number
                  format: float
                  minimum: 0
                  maximum: 1
                  example: 0.78
                original_hire_date:
                  description: Fill rate for original hire date data
                  type: number
                  format: float
                  minimum: 0
                  maximum: 1
                  example: 0.77
                income:
                  description: Fill rate for income data
                  type: number
                  format: float
                  minimum: 0
                  maximum: 1
                  example: 0.95
                income_unit:
                  description: Fill rate for income unit data
                  type: number
                  format: float
                  minimum: 0
                  maximum: 1
                  example: 0.88
                pay_frequency:
                  description: Fill rate for pay frequency data
                  type: number
                  format: float
                  minimum: 0
                  maximum: 1
                  example: 0.91
                w2s:
                  description: Fill rate for W2 documents
                  type: number
                  format: float
                  minimum: 0
                  maximum: 1
                  example: 0.73
                paystubs:
                  description: Fill rate for paystub documents
                  type: number
                  format: float
                  minimum: 0
                  maximum: 1
                  example: 0.99
      description: Detailed information for a specific company mapping
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Error404:
      description: ''
      type: object
      properties:
        detail:
          description: ''
          type: string
          example: Not Found.
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````